<?php

/**
 * Componet for creating Fusion Charts XML source in graphic mode.
 * Can create, modified and deleting assorted Fusion Charts. Charts
 * can display on frontend page by module or content plugin.  
 *
 * @version		$Id$
 * @package     ArtioFusioncharts
 * @copyright	Copyright (C) 2010 ARTIO s.r.o.. All rights reserved. 
 * @author 		ARTIO s.r.o., http://www.artio.net
 * @license     GNU/GPL http://www.gnu.org/copyleft/gpl.html
 * @link        http://www.artio.net Official website
 */

jimport('joomla.environment.browser');

define('FUSIONCHARTS_VERSION', '3.2');
define('FUSIONCHARTS_WEB', 'http://www.fusioncharts.com/');
define('ARTIOFUSIONCHARTS_WEB', 'http://www.artio.net/joomla-extensions/fusioncharts-for-joomla');
define('ARTIO_WEB', 'http://www.artio.net/');

define('ARTIOFUSIONCHARTS_OPTION', 'com_artiofusioncharts');
define('ARTIOFUSIONCHARTS', 'artiofusioncharts');
define('ARTIOFUSIONCHARTS_COMPONENT_BASE_ABS', JPATH_ROOT . DS . 'administrator' . DS . 'components' . DS . ARTIOFUSIONCHARTS_OPTION . DS);
define('ARTIOFUSIONCHARTS_INCLUDES', ARTIOFUSIONCHARTS_COMPONENT_BASE_ABS . DS . 'includes' . DS);
define('ARTIOFUSIONCHARTS_COMPONENT_BASE_URL', JURI::root() . 'administrator/components/' . ARTIOFUSIONCHARTS_OPTION . '/');
define('ARTIOFUSIONCHARTS_COMPONENT_SITE_ABS', JPATH_ROOT . DS . 'components' . DS . ARTIOFUSIONCHARTS_OPTION . DS);
define('ARTIOFUSIONCHARTS_COMPONENT_SITE_URL', JURI::root() . 'components/' . ARTIOFUSIONCHARTS_OPTION . '/');
define('ARTIOFUSIONCHARTS_BASE_ABS', ARTIOFUSIONCHARTS_COMPONENT_SITE_ABS . 'charts');
define('ARTIOFUSIONCHARTS_BASE_URL', ARTIOFUSIONCHARTS_COMPONENT_SITE_URL . 'charts');
define('ARTIOFUSIONCHARTS_BASE_LANG', ARTIOFUSIONCHARTS_COMPONENT_BASE_ABS . 'lang');
define('ARTIOFUSIONCHARTS_ASSETS', ARTIOFUSIONCHARTS_COMPONENT_SITE_URL . 'assets/');
define('ARTIOFUSIONCHARTS_ASSETS_JS', ARTIOFUSIONCHARTS_COMPONENT_SITE_URL . 'assets/js/');
define('ARTIOFUSIONCHARTS_ASSETS_CSS', ARTIOFUSIONCHARTS_COMPONENT_SITE_URL . 'assets/css/');
define('ARTIOFUSIONCHARTS_HELPERS', ARTIOFUSIONCHARTS_COMPONENT_BASE_ABS . 'helpers');
define('ARTIOFUSIONCHARTS_CACHE_ABS', ARTIOFUSIONCHARTS_COMPONENT_SITE_ABS . 'cache' . DS);
define('ARTIOFUSIONCHARTS_CACHE_URL', ARTIOFUSIONCHARTS_COMPONENT_SITE_URL . 'cache/');
define('ARTIOFUSIONCHARTS_SINGLE_SERIES_TYPE', 1);
define('ARTIOFUSIONCHARTS_MULTI_SERIES_TYPE', 2);
define('ARTIOFUSIONCHARTS_USE_SQL_QUERY_NO', 1);
define('ARTIOFUSIONCHARTS_USE_SQL_QUERY_ONE_TIME', 2);
define('ARTIOFUSIONCHARTS_USE_SQL_QUERY_REAL_TIME', 3);
define('ARTIOFUSIONCHARTS_DEFAULT_WIDTH', 500);
define('ARTIOFUSIONCHARTS_DEFAULT_HEIGHT', 500);
define('ARTIOFUSIONCHARTS_SOURCE_TYPE_XML', 1);
define('ARTIOFUSIONCHARTS_SOURCE_TYPE_CSV', 2);
define('ARTIOFUSIONCHARTS_PAGE_CREATE', 1);
define('ARTIOFUSIONCHARTS_PAGE_CHARTS', 2);
define('ARTIOFUSIONCHARTS_PAGE_DATABASES', 3);

define('CHART', 'graph');

$mainframe = &JFactory::getApplication();
/* @var $mainframe JAdministrator */

$template = $mainframe->getTemplate();
$template = $template ? $template : 'khepri';

define('ARTIOFUSIONCHARTS_SET_IMAGE', JURI::root() . 'administrator/templates/' . $template . '/images/menu/icon-16-config.png');
define('ARTIOFUSIONCHARTS_ADD_IMAGE', JURI::root() . 'components/com_artiofusioncharts/assets/images/expandall.png');
define('ARTIOFUSIONCHARTS_REM_IMAGE', JURI::root() . 'components/com_artiofusioncharts/assets/images/publish_x.png');
define('ARTIOFUSIONCHARTS_END_LINE', "\n");

define('TZOFFSET', $mainframe->getCfg('offset') * 60 * 60);

$browser = &JBrowser::getInstance();
/* @var $browser JBrowser */
define('ARTIOFUSIONCHARTS_SHIT_BROWSER', $browser->getBrowser() == 'msie');

define('ARTIOFUSIONCHARTS_J16', version_compare(JVERSION, '1.6.0') >= 0);

if (ARTIOFUSIONCHARTS_J16) {
	$canDo = &ARTIOFusionChartsHelper::getActions();
    define('ARTIOFUSIONCHARTS_ADMIN', $canDo->get('core.admin'));
    define('ARTIOFUSIONCHARTS_MANAGE', $canDo->get('core.manage'));
    define('ARTIOFUSIONCHARTS_EDIT', $canDo->get('core.edit'));
    define('ARTIOFUSIONCHARTS_DELETE', $canDo->get('core.delete'));
    define('ARTIOFUSIONCHARTS_CREATE', $canDo->get('core.create'));
} else {
    define('ARTIOFUSIONCHARTS_ADMIN', true);
    define('ARTIOFUSIONCHARTS_MANAGE', true);
    define('ARTIOFUSIONCHARTS_EDIT', true);
    define('ARTIOFUSIONCHARTS_DELETE', true);
    define('ARTIOFUSIONCHARTS_CREATE', true);
}

?>